Bug 1459348 - extend sss-certmap man page regarding priority processing
extend sss-certmap man page regarding priority processing
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: SSSD Maintainers
Scott Poore
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 17:56 EDT by Scott Poore
Modified: 2017-11-01 12:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Poore 2017-06-06 17:56:49 EDT
Description of problem:

The sss-certmap man page could use a statement in the priority section mentioning that processing stops when a matched rule is found and no further rules are checked.

Version-Release number of selected component (if applicable):
sssd-1.15.2-43.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. man sss-certmap

Actual results:

   PRIORITY
       The rules are process by priority while the number '0' (zero) indicates the highest priority.
       The higher the number the lower is the priority. A missing value indicates the lowest
       priority.

       Internally the priority is treated as unsigned 32bit integer, using a priority value larger
       than 4294967295 will cause an error.


Expected results:

A note about processing stopping after a match would be helpful.

Additional info:
Comment 2 Jakub Hrozek 2017-08-10 07:22:37 EDT
Upstream ticket:
https://pagure.io/SSSD/sssd/issue/3469

Note You need to log in before you can comment on or make changes to this bug.